Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I am using babel installation (used Miktex 2.9 package manager to install) and the Culmus MiKTeX package (retrieved from http://www.ma.huji.ac.il/~sameti/tex/culmusmiktex.html)

\documentclass{article}
\usepackage[english,hebrew]{babel}
\begin{document}
שלום
\end{document}

When running the code I get the following error (shown in the .log file)

This is pdfTeX, Version 3.1415926-1.40.11 (MiKTeX 2.9) (preloaded format=pdflatex 2014.3.5)  5 MAR 2014 15:14
entering extended mode
**letter.tex
(<file path omitted>
LaTeX2e <2009/09/24>
Babel <v3.8m> and hyphenation patterns for english, afrikaans, ancientgreek, ar
abic, armenian, assamese, basque, bengali, bokmal, bulgarian, catalan, coptic, 
croatian, czech, danish, dutch, esperanto, estonian, farsi, finnish, french, ga
lician, german, german-x-2009-06-19, greek, gujarati, hindi, hungarian, iceland
ic, indonesian, interlingua, irish, italian, kannada, kurmanji, lao, latin, lat
vian, lithuanian, malayalam, marathi, mongolian, mongolianlmc, monogreek, ngerm
an, ngerman-x-2009-06-19, nynorsk, oriya, panjabi, pinyin, polish, portuguese, 
romanian, russian, sanskrit, serbian, slovak, slovenian, spanish, swedish, swis
sgerman, tamil, telugu, turkish, turkmen, ukenglish, ukrainian, uppersorbian, u
senglishmax, welsh, loaded.
("C:\Program Files\MiKTeX 2.9\tex\latex\base\article.cls"
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
("C:\Program Files\MiKTeX 2.9\tex\latex\base\size10.clo"
File: size10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
)
\c@part=\count79
\c@section=\count80
\c@subsection=\count81
\c@subsubsection=\count82
\c@paragraph=\count83
\c@subparagraph=\count84
\c@figure=\count85
\c@table=\count86
\abovecaptionskip=\skip41
\belowcaptionskip=\skip42
\bibindent=\dimen102
)
("C:\Program Files\MiKTeX 2.9\tex\latex\babel\babel.sty"
Package: babel 2013/12/03 3.9h The Babel package

("C:\Program Files\MiKTeX 2.9\tex\generic\babel\switch.def"
File: switch.def 2008/07/08 v3.8m Babel language switching mechanism
)
*************************************
* Local config file bblopts.cfg used
*
("C:\Program Files\MiKTeX 2.9\tex\latex\00miktex\bblopts.cfg"
File: bblopts.cfg 2006/07/31 v1.0 MiKTeX 'babel' configuration
)
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\english.ldf"
Language: english 2005/03/30 v3.3o English support from the babel system

("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
("C:\Program Files\MiKTeX 2.9\tex\generic\babel\babel.def")
.... last line repeated hundreds of times

Looking at the .log it seems that Hebrew is not one of the supported languages. However, removing the hebrew option (e.g. \usepackage[english]{babel} has the same output).

What's going on here?

share|improve this question
    
ps adding the \selectlanguage{hebrew} and \usepackage[utf8x]{inputenc} did not help –  Yair Zick Mar 5 at 7:30
3  
Hm. Well babel.sty and switch.def have different versions and this is problably the problem. But where did you get babel.sty version 3.9h from? I still have v3.8m and there is not update open. –  Ulrike Fischer Mar 5 at 8:56
    
@UlrikeFischer: I wonder, too. Especially we can see above the pdftex message that “Babel <v3.8m> and hyphenation patterns” is loaded. –  Speravir Mar 6 at 0:39
    
Since you have a newer babel installation, but a format file with an older babel, try to regenerate the formats. –  Heiko Oberdiek Jun 16 at 15:10

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.